For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • Home
  • API Reference
        • GETVaccines
        • GETVaccine by Code
        • GETVaccine Categories
        • GETVaccine Funding Types
        • GETVaccine Types
        • GETRoutes of Administration
        • GETAntigens
        • GETAntigen by Code
        • GETCountries
        • GETGenders
        • GETAntenatal Age Range
        • GETMandatory Vaccine Batch
        • GETMandatory Route of Administration
        • GETMandatory Vaccine Type
        • GETMandatory Antenatal Indicator
        • GETAllowable Medical Contraindication
        • GETAllowable Natural Immunity
  • Guides
    • Minor ID Setup
    • Architecture
    • Security & Governance
    • PRODA
    • DVA Integration
    • AIR Integration
    • Integration test data
    • Troubleshooting
LogoLogo
API ReferenceAIRReference Data

Countries

||View as Markdown|
GET
/AIR/v1/refdata/country
GET
/AIR/v1/refdata/country
$curl https://api.rebateright.com.au/AIR/v1/refdata/country \
> -H "x-api-key: <apiKey>"
200All Countries
1{
2 "statusCode": "AIR-I-1100",
3 "codeType": "AIRIBU",
4 "message": "Your request was successfully processed.",
5 "countries": [
6 {
7 "countryCode": "ZZZ",
8 "countryDescription": "Unknown"
9 },
10 {
11 "countryCode": "ALA",
12 "countryDescription": "Aland Islands"
13 },
14 {
15 "countryCode": "AFG",
16 "countryDescription": "Afghanistan"
17 },
18 {
19 "countryCode": "ALB",
20 "countryDescription": "Albania"
21 }
22 ],
23 "correlationId": "urn:uuid:MDE00000000000000000000000"
24}

List ICAO country/region codes that AIR accepts for the countryCode field on overseas-administered encounters. ZZZ is the “Unknown” sentinel.

Was this page helpful?
Previous

Antigen by Code

Next

Genders

Built with

Authentication

x-api-keystring
API Key authentication via header
x-minor-idstring
API Key authentication via header

Response

OK
statusCodestring
codeTypestring
messagestring
countrieslist of objects
correlationIdstring